Creates a new item

Request Information

URI Parameters :

None.

Body Parameters :

db_info_field_property
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
db_info_field_id

Foreign key to db_info_field

globally unique identifier

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field_name

Embedded entity "db_info_field" using ERP PK when adding/updating db_info_field_property

string

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

db_info_field

Embedded entity "db_info_field" when adding/updating db_info_field_property

db_info_field

Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided

name

Item.DisplayText, value that will be shown on the UI

string

Required

Max length: 50

value

Value of the db_info_property.Store there your ERP PK

string

Required

Max length: 50

sequence

Sorting field (0 first), to order them

integer
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "54938d43-e2f8-47ec-a040-adc7bf086c10",
  "db_info_field_id": "48a289f9-45a9-4333-b8d2-20cf119f5a2c",
  "db_info_field_name": "sample string 3",
  "name": "sample string 4",
  "value": "sample string 5",
  "sequence": 6,
  "modified_dateutc": "2026-03-12T03:38:19.1519665+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.